Bug 181824 - Review Request: gstreamer08
Review Request: gstreamer08
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 176288 180164 183694
  Show dependency treegraph
 
Reported: 2006-02-16 16:27 EST by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-05 10:30:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gstreamer08 build log (345.16 KB, text/plain)
2006-02-24 03:19 EST, Ignacio Vazquez-Abrams
no flags Details
spec patch to fix rpath issues (462 bytes, patch)
2006-03-04 09:44 EST, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Brian Pepple 2006-02-16 16:27:46 EST
Spec Name or Url: http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08.spec
SRPM Name or Url: http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08-0.8.12-1.src.rpm
Description: 
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.
Comment 1 Ignacio Vazquez-Abrams 2006-02-23 07:42:56 EST
- Use --disable-static instead of erasing .a files
- Use --disable-rpath
- Period at the end of Summary of -devel
Comment 2 Brian Pepple 2006-02-23 10:43:43 EST
Spec Url: http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08.spec
SRPM Url:
http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08-0.8.12-2.src.rpm

Description:

* Thu Feb 23 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-2
- Use --disable-rpath & --disable-static.
- Drop period in devel summary.
Comment 3 Ignacio Vazquez-Abrams 2006-02-24 03:19:06 EST
Created attachment 125163 [details]
gstreamer08 build log

Interesting. That doesn't seem to have gotten rid of the rpaths.

E: gstreamer08 binary-or-shlib-defines-rpath
/usr/lib/gstreamer-0.8/libgstgetbits.so
['/var/tmp/gstreamer08-0.8.12-2-root-mockbuild/usr/lib']
Comment 4 Brian Pepple 2006-02-24 14:26:54 EST
Hmmm, probably something messed up in it's configure script.  Unfortunately, I'm
going to be fairly busy the next couple of weeks, and probably won't have time
to track down the problem.
Comment 5 Ignacio Vazquez-Abrams 2006-03-02 13:37:01 EST
As per IRC we'll ignore the rpath issue for now, so APPROVED.
Comment 6 Michael Schwendt 2006-03-02 13:55:01 EST
The rpath issues will be caught by check-rpaths in the build system
and will make the build fail, provided that it occurs. Further, since
it is a path in /var/tmp, it is a blocker.
Comment 7 Thorsten Leemhuis 2006-03-03 11:03:23 EST
(In reply to comment #6)
> The rpath issues will be caught by check-rpaths in the build system
> and will make the build fail, provided that it occurs.

Does the buildsys really check those things currently? I don't think so -- I've
seen some packages in Extras that had hardcoded rpaths.
Comment 8 Brian Pepple 2006-03-03 11:11:56 EST
(In reply to comment #7)
> Does the buildsys really check those things currently? I don't think so -- I've
> seen some packages in Extras that had hardcoded rpaths.

I think your right, but off the top of my head I can't think of any of the packages.

Comment 9 Thorsten Leemhuis 2006-03-04 06:42:37 EST
Okay, guys, are we stuck again? Let's get this moving, we're running out of time. 

AFAICS the rpath are the only remaining big problem? If yes my vote is: Import
it and builds it. If it really fails to build look closer. 

Correnty me if I'm wrong or overlooked something important.
Comment 10 Ville Skyttä 2006-03-04 06:52:38 EST
(In reply to comment #9)
> Correnty me if I'm wrong or overlooked something important.

See for example comment 6.  rpath pointing to /var/tmp/... is definitely a
blocker-worthy security issue.
Comment 11 Thorsten Leemhuis 2006-03-04 07:21:29 EST
Okay, seems I must look into this myself... Test were done on a i386 machine
with rawhide from 20060303

> [...]
>checking for bison... no
>configure: error: Could not find bison

"BuildRequire: bison" ? 

>checking for flex... no
>configure: error: Could not find flex

"BuildRequire: flex" ?

/me wonders if there are other BR missing.

>$ grep rpath .rpmmacros
>%__arch_install_post   /usr/lib/rpm/check-rpaths   /usr/lib/rpm/check-buildroot

Build fine.

>$ rpmlint /home/thl/rpmbuild/RPMS/i386/gstreamer08-0.8.12-2.i386.rpm
>/home/thl/rpmbuild/RPMS/i386/gstreamer08-devel-0.8.12-2.i386.rpm
>W: gstreamer08 non-standard-dir-in-usr libexec
>E: gstreamer08-devel zero-length
>/usr/share/doc/gstreamer08-devel-0.8.12/html/base.css

No rpath. 

/me confused now -- missing BRs that nobody found before, but the rpath problem
didn't show up. Or did I do something totally wrong?
Comment 12 Michael Schwendt 2006-03-04 08:53:18 EST
Thorsten, would you please calm down a bit and not push everyone like
that?

The rpaths show up when building the package as root. Can confirm this
here and going to look into it later.

"BR libtool automake bison flex" are needed when not building with mock.
Comment 13 Thorsten Leemhuis 2006-03-04 09:27:36 EST
(In reply to comment #12)
> Thorsten, would you please calm down a bit and not push everyone like
> that?

Sorry, will try. But I think the gst08 issue is an/the most important one that
we really should fix before FC5 goes final. And there is not much time left.
That's why I'm trying to push this issue a bit.

> The rpaths show up when building the package as root. Can confirm this
> here and going to look into it later.

Many thx.
Comment 14 Michael Schwendt 2006-03-04 09:44:29 EST
Created attachment 125640 [details]
spec patch to fix rpath issues
Comment 15 Ignacio Vazquez-Abrams 2006-03-04 10:47:22 EST
Confirmed that the spec file patch fixes the rpath issues.
Comment 16 Brian Pepple 2006-03-04 11:04:13 EST
Thanks, Michael, for correcting this.

Spec Url: http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08.spec
SRPM Url:
http://piedmont.homelinux.org/fedora/gstreamer/gstreamer08-0.8.12-3.src.rpm

* Sat Mar  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.8.12-3
- Fix docdir installation (Thanks to Michael Schwendt).
Comment 17 Michael Schwendt 2006-03-04 12:51:12 EST
The changes in the doc installation are just a side-effect and
necessity of installing with DESTDIR= instead of %makeinstall. ;)
The %makeinstall macro breaks everytime any of the paths it modifies
(it prepends %buildroot!) make it into files which are packaged.
Comment 18 Brian Pepple 2006-03-04 13:33:20 EST
Are there any other blockers on this package?
Comment 19 Michael Schwendt 2006-03-04 18:56:14 EST
No immediate blockers left. Unless a package, which requires this,
will turn up build-time problems. 

%changelog of 0.8.12-3 doesn't match comment 14, though.
Comment 20 Brian Pepple 2006-03-05 10:30:50 EST
Package built

Note You need to log in before you can comment on or make changes to this bug.